package client

import (
	csc "git.loafle.net/commons_go/server/client"
)

func NewSocketBuilder(address string) csc.SocketBuilder {
	sb := &SocketBuilders{}
	sb.Network = "tcp"
	sb.Address = "localhost:50006"

	return sb
}

type SocketBuilders struct {
	csc.SocketBuilders
}

func (sb *SocketBuilders) SocketHandler() csc.SocketHandler {
	return NewSocketHandler()
}
